Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class InnerLoader

Field Summary
`GroovyClassLoader` | `delegate`
`long` | `timeStamp`

Constructor Summary
`InnerLoader(GroovyClassLoader delegate)`

Method Summary
`void` | `addClasspath(String path)`
`void` | `addURL(URL url)`
`void` | `clearCache()`
`ClassCollector` | `createCollector(CompilationUnit unit, SourceUnit su)` creates a ClassCollector for a new compilation.
`CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)` creates a new CompilationUnit.
`URL` | `findResource(String name)`
`Enumeration` | `findResources(String name)`
`def` | `getLoadedClasses()`
`URL` | `getResource(String name)`
`InputStream` | `getResourceAsStream(String name)`
`GroovyResourceLoader` | `getResourceLoader()`
`long` | `getTimeStamp()`
`def` | `getURLs()`
`Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
`Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
`void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`

Constructor Detail

### InnerLoader

    public InnerLoader(GroovyClassLoader delegate)

Method Detail

### addClasspath

    public void addClasspath(String path)

### addURL

    public void addURL(URL url)

### clearCache

    public void clearCache()

### createCollector

    ClassCollector createCollector(CompilationUnit unit, SourceUnit su)

  creates a ClassCollector for a new compilation.
  param:
    unit the compilationUnit
  param:
    su the SoruceUnit
  return:
    the ClassCollector

### createCompilationUnit

    CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)

  creates a new CompilationUnit. If you want to add additional phase operations to the CompilationUnit (for example to inject additional methods, variables, fields), then you should overwrite this method.
  param:
    config the compiler configuration, usually the same as for this class loader
  param:
    source the source containing the initial file to compile, more files may follow during compilation
  return:
    the CompilationUnit

### findResource

    public URL findResource(String name)

### findResources

    public Enumeration findResources(String name)

### getLoadedClasses

    public def getLoadedClasses()

### getResource

    public URL getResource(String name)

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

### getResourceLoader

    public GroovyResourceLoader getResourceLoader()

### getTimeStamp

    public long getTimeStamp()

### getURLs

    public def getURLs()

### loadClass

    public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

### parseClass

    public Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

### setResourceLoader

    public void setResourceLoader(GroovyResourceLoader resourceLoader)